<?xml version="1.0" encoding="utf-8"?>
<com.gingersoft.gsa.cloud.ui.view.MyScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/theme_background_color">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <com.lihang.ShadowLayout
            android:id="@+id/layout_business_chart"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_7"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginRight="@dimen/dp_7"
            android:paddingBottom="@dimen/dp_15"
            app:hl_cornerRadius="@dimen/dp_4"
            app:hl_dy="@dimen/main_shadow_dy"
            app:hl_shadowBackColor="@color/white"
            app:hl_shadowColor="@color/shadow_color"
            app:hl_shadowLimit="@dimen/main_shadow_limit">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingRight="@dimen/dp_10">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginTop="@dimen/dp_10"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="支付方式分析"
                        android:textColor="#181818"
                        android:textSize="@dimen/dp_17" />

                    <TextView
                        android:id="@+id/tv_start_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="#181818"
                        android:textSize="@dimen/dp_10" />

                    <com.gingersoft.gsa.cloud.ui.view.TriangleView
                        android:id="@+id/iv_payment_time_triangle"
                        android:layout_marginLeft="@dimen/dp_2"
                        android:layout_width="@dimen/dp_8"
                        app:trv_direction="bottom"
                        android:layout_height="@dimen/dp_5" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_7"
                        android:text="到"
                        android:textColor="#999"
                        android:textSize="@dimen/dp_10" />

                    <TextView
                        android:id="@+id/tv_end_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_7"
                        android:textColor="#181818"
                        android:textSize="@dimen/dp_10" />
                </LinearLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <com.github.mikephil.charting.charts.PieChart
                        android:id="@+id/report_payment_method_chart"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_180"
                        android:layout_marginTop="@dimen/dp_10"
                        android:visibility="visible"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_chart_line"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="@dimen/dp_36"
                        android:maxLines="1"
                        android:text="--------------------------------------------------------------------------------------------------"
                        android:textColor="#FF3F4E"
                        android:visibility="gone"
                        app:layout_constraintBottom_toBottomOf="@id/report_payment_method_chart"
                        app:layout_constraintLeft_toRightOf="@id/report_payment_method_chart"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="@id/report_payment_method_chart" />

                    <TextView
                        android:id="@+id/tv_payment_method"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="支付方式1"
                        android:textColor="@color/color_3c"
                        android:textSize="@dimen/dp_13"
                        android:visibility="gone"
                        app:layout_constraintLeft_toLeftOf="@id/tv_chart_line"
                        app:layout_constraintRight_toRightOf="@id/tv_chart_line"
                        app:layout_constraintTop_toBottomOf="@id/tv_chart_line" />

                    <TextView
                        android:id="@+id/tv_amount"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="$10000"
                        android:textColor="#ff3f4e"
                        android:textSize="@dimen/sp_18"
                        android:visibility="gone"
                        app:layout_constraintLeft_toLeftOf="@id/tv_chart_line"
                        app:layout_constraintRight_toRightOf="@id/tv_chart_line"
                        app:layout_constraintTop_toBottomOf="@id/tv_payment_method" />

                    <TextView
                        android:id="@+id/tv_payment_method_percentage"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingLeft="@dimen/dp_10"
                        android:paddingTop="@dimen/dp_4"
                        android:paddingRight="@dimen/dp_10"
                        android:paddingBottom="@dimen/dp_4"
                        android:text="30%"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_13"
                        android:visibility="gone"
                        app:layout_constraintLeft_toLeftOf="@id/tv_chart_line"
                        app:layout_constraintRight_toRightOf="@id/tv_chart_line"
                        app:layout_constraintTop_toBottomOf="@id/tv_amount" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_payment_color"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_5"
                    android:layout_marginRight="@dimen/dp_10" />

            </LinearLayout>

        </com.lihang.ShadowLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_20"
            android:text="支付方式"
            android:textColor="#181818"
            android:textSize="@dimen/sp_17" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_payment_proportion"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_18"
            android:layout_marginRight="@dimen/dp_15" />

    </LinearLayout>
</com.gingersoft.gsa.cloud.ui.view.MyScrollView>